--- /dev/null
+PO = hd_idle
+
+include ../../build/config.mk
+include ../../build/module.mk
--- /dev/null
+#!/bin/sh
+[ -n "${IPKG_INSTROOT}" ] || {
+ ( . /etc/uci-defaults/luci-hd_idle ) && rm -f /etc/uci-defaults/luci-hd_idle
+ /etc/init.d/hd-idle enabled || /etc/init.d/hd-idle enable
+}
--- /dev/null
+--[[
+
+LuCI hd-idle
+(c) 2008 Yanira <forum-2008@email.de>
+
+Licensed under the Apache License, Version 2.0 (the "License");
+you may not use this file except in compliance with the License.
+You may obtain a copy of the License at
+
+ http://www.apache.org/licenses/LICENSE-2.0
+
+$Id$
+
+]]--
+
+module("luci.controller.hd_idle", package.seeall)
+
+function index()
+ require("luci.i18n")
+ luci.i18n.loadc("hd_idle")
+ if not nixio.fs.access("/etc/config/hd-idle") then
+ return
+ end
+
+ local page = entry({"admin", "services", "hd_idle"}, cbi("hd_idle"), luci.i18n.translate("hd_idle", "hd-idle"), 60)
+ page.i18n = "hd_idle"
+ page.dependent = true
+end
--- /dev/null
+--[[
+
+LuCI hd-idle
+(c) 2008 Yanira <forum-2008@email.de>
+
+Licensed under the Apache License, Version 2.0 (the "License");
+you may not use this file except in compliance with the License.
+You may obtain a copy of the License at
+
+ http://www.apache.org/licenses/LICENSE-2.0
+
+$Id$
+
+]]--
+
+require("nixio.fs")
+
+m = Map("hd-idle", translate("hd_idle"), translate("hd_idle_desc"))
+
+s = m:section(TypedSection, "hd-idle", translate("settings"))
+s.anonymous = true
+
+s:option(Flag, "enabled", translate("enable", "Enable"))
+
+disk = s:option(Value, "disk", translate("disk"))
+disk.rmempty = true
+for dev in nixio.fs.glob("/dev/[sh]d[a-z]") do
+ disk:value(nixio.fs.basename(dev))
+end
+
+s:option(Value, "idle_time_interval", translate("idle_time_interval")).default = 10
+s.rmempty = true
+unit = s:option(ListValue, "idle_time_unit", translate("idle_time_unit"))
+unit.default = "minutes"
+unit:value("minutes", "min")
+unit:value("hours", "h")
+unit.rmempty = true
+
+s:option(Flag, "enable_debug", translate("enable_debug"))
+
+return m
--- /dev/null
+#!/bin/sh
+
+uci batch <<-EOF
+ add ucitrack hd-idle
+ set ucitrack.@hd-idle[-1].init=hd-idle
+ commit ucitrack
+EOF
+++ /dev/null
-PO = hd_idle
-
-include ../../build/config.mk
-include ../../build/module.mk
+++ /dev/null
-#!/bin/sh
-[ -n "${IPKG_INSTROOT}" ] || {
- ( . /etc/uci-defaults/luci-hd_idle ) && rm -f /etc/uci-defaults/luci-hd_idle
- /etc/init.d/hd-idle enabled || /etc/init.d/hd-idle enable
-}
+++ /dev/null
---[[
-
-LuCI hd-idle
-(c) 2008 Yanira <forum-2008@email.de>
-
-Licensed under the Apache License, Version 2.0 (the "License");
-you may not use this file except in compliance with the License.
-You may obtain a copy of the License at
-
- http://www.apache.org/licenses/LICENSE-2.0
-
-$Id$
-
-]]--
-
-module("luci.controller.hd_idle", package.seeall)
-
-function index()
- require("luci.i18n")
- luci.i18n.loadc("hd_idle")
- if not nixio.fs.access("/etc/config/hd-idle") then
- return
- end
-
- local page = entry({"admin", "services", "hd_idle"}, cbi("hd_idle"), luci.i18n.translate("hd_idle", "hd-idle"), 60)
- page.i18n = "hd_idle"
- page.dependent = true
-end
+++ /dev/null
---[[
-
-LuCI hd-idle
-(c) 2008 Yanira <forum-2008@email.de>
-
-Licensed under the Apache License, Version 2.0 (the "License");
-you may not use this file except in compliance with the License.
-You may obtain a copy of the License at
-
- http://www.apache.org/licenses/LICENSE-2.0
-
-$Id$
-
-]]--
-
-require("nixio.fs")
-
-m = Map("hd-idle", translate("hd_idle"), translate("hd_idle_desc"))
-
-s = m:section(TypedSection, "hd-idle", translate("settings"))
-s.anonymous = true
-
-s:option(Flag, "enabled", translate("enable", "Enable"))
-
-disk = s:option(Value, "disk", translate("disk"))
-disk.rmempty = true
-for dev in nixio.fs.glob("/dev/[sh]d[a-z]") do
- disk:value(nixio.fs.basename(dev))
-end
-
-s:option(Value, "idle_time_interval", translate("idle_time_interval")).default = 10
-s.rmempty = true
-unit = s:option(ListValue, "idle_time_unit", translate("idle_time_unit"))
-unit.default = "minutes"
-unit:value("minutes", "min")
-unit:value("hours", "h")
-unit.rmempty = true
-
-s:option(Flag, "enable_debug", translate("enable_debug"))
-
-return m
+++ /dev/null
-#!/bin/sh
-
-uci batch <<-EOF
- add ucitrack hd-idle
- set ucitrack.@hd-idle[-1].init=hd-idle
- commit ucitrack
-EOF
--- /dev/null
+PO = mmc_over_gpio
+
+include ../../build/config.mk
+include ../../build/module.mk
--- /dev/null
+#!/bin/sh
+[ -n "${IPKG_INSTROOT}" ] || {
+ ( . /etc/uci-defaults/luci-mmc_over_gpio ) && rm -f /etc/uci-defaults/luci-mmc_over_gpio
+ /etc/init.d/mmc_over_gpio enabled || /etc/init.d/mmc_over_gpio enable
+}
--- /dev/null
+--[[
+
+LuCI mmc_over_gpio
+(c) 2008 Yanira <forum-2008@email.de>
+
+Licensed under the Apache License, Version 2.0 (the "License");
+you may not use this file except in compliance with the License.
+You may obtain a copy of the License at
+
+ http://www.apache.org/licenses/LICENSE-2.0
+
+$Id$
+
+]]--
+
+module("luci.controller.mmc_over_gpio", package.seeall)
+
+function index()
+ require("luci.i18n")
+ luci.i18n.loadc("mmc_over_gpio")
+ if not nixio.fs.access("/etc/config/mmc_over_gpio") then
+ return
+ end
+
+ local page = entry({"admin", "system", "mmc_over_gpio"}, cbi("mmc_over_gpio"), luci.i18n.translate("mmc_over_gpio", "mmc_over_gpio"), 60)
+ page.i18n = "mmc_over_gpio"
+ page.dependent = true
+end
--- /dev/null
+--[[
+
+LuCI mmc_over_gpio
+(c) 2008 Yanira <forum-2008@email.de>
+
+Licensed under the Apache License, Version 2.0 (the "License");
+you may not use this file except in compliance with the License.
+You may obtain a copy of the License at
+
+ http://www.apache.org/licenses/LICENSE-2.0
+
+$Id$
+
+]]--
+
+m = Map("mmc_over_gpio", translate("mmc_over_gpio"),
+ translate("mmc_over_gpio_desc"))
+
+s = m:section(TypedSection, "mmc_over_gpio", translate("settings"))
+s.addremove = true
+s.anonymous = true
+
+s:option(Flag, "enabled", translate("enabled", "Enable"))
+
+s:option(Value, "name", translate("name"))
+
+pin = s:option(Value, "DI_pin", translate("DI_pin"))
+for i = 0,7 do pin:value(i) end
+
+pin = s:option(Value, "DO_pin", translate("DO_pin"))
+for i = 0,7 do pin:value(i) end
+
+pin = s:option(Value, "CLK_pin", translate("CLK_pin"))
+for i = 0,7 do pin:value(i) end
+
+pin = s:option(Value, "CS_pin", translate("CS_pin"))
+for i = 0,7 do pin:value(i) end
+
+s:option(Value, "mode", translate("mode"))
+
+return m
--- /dev/null
+#!/bin/sh
+
+uci batch <<-EOF
+ add ucitrack mmc_over_gpio
+ set ucitrack.@mmc_over_gpio[-1].init=mmc_over_gpio
+ commit ucitrack
+EOF
+++ /dev/null
-PO = mmc_over_gpio
-
-include ../../build/config.mk
-include ../../build/module.mk
+++ /dev/null
-#!/bin/sh
-[ -n "${IPKG_INSTROOT}" ] || {
- ( . /etc/uci-defaults/luci-mmc_over_gpio ) && rm -f /etc/uci-defaults/luci-mmc_over_gpio
- /etc/init.d/mmc_over_gpio enabled || /etc/init.d/mmc_over_gpio enable
-}
+++ /dev/null
---[[
-
-LuCI mmc_over_gpio
-(c) 2008 Yanira <forum-2008@email.de>
-
-Licensed under the Apache License, Version 2.0 (the "License");
-you may not use this file except in compliance with the License.
-You may obtain a copy of the License at
-
- http://www.apache.org/licenses/LICENSE-2.0
-
-$Id$
-
-]]--
-
-module("luci.controller.mmc_over_gpio", package.seeall)
-
-function index()
- require("luci.i18n")
- luci.i18n.loadc("mmc_over_gpio")
- if not nixio.fs.access("/etc/config/mmc_over_gpio") then
- return
- end
-
- local page = entry({"admin", "system", "mmc_over_gpio"}, cbi("mmc_over_gpio"), luci.i18n.translate("mmc_over_gpio", "mmc_over_gpio"), 60)
- page.i18n = "mmc_over_gpio"
- page.dependent = true
-end
+++ /dev/null
---[[
-
-LuCI mmc_over_gpio
-(c) 2008 Yanira <forum-2008@email.de>
-
-Licensed under the Apache License, Version 2.0 (the "License");
-you may not use this file except in compliance with the License.
-You may obtain a copy of the License at
-
- http://www.apache.org/licenses/LICENSE-2.0
-
-$Id$
-
-]]--
-
-m = Map("mmc_over_gpio", translate("mmc_over_gpio"),
- translate("mmc_over_gpio_desc"))
-
-s = m:section(TypedSection, "mmc_over_gpio", translate("settings"))
-s.addremove = true
-s.anonymous = true
-
-s:option(Flag, "enabled", translate("enabled", "Enable"))
-
-s:option(Value, "name", translate("name"))
-
-pin = s:option(Value, "DI_pin", translate("DI_pin"))
-for i = 0,7 do pin:value(i) end
-
-pin = s:option(Value, "DO_pin", translate("DO_pin"))
-for i = 0,7 do pin:value(i) end
-
-pin = s:option(Value, "CLK_pin", translate("CLK_pin"))
-for i = 0,7 do pin:value(i) end
-
-pin = s:option(Value, "CS_pin", translate("CS_pin"))
-for i = 0,7 do pin:value(i) end
-
-s:option(Value, "mode", translate("mode"))
-
-return m
+++ /dev/null
-#!/bin/sh
-
-uci batch <<-EOF
- add ucitrack mmc_over_gpio
- set ucitrack.@mmc_over_gpio[-1].init=mmc_over_gpio
- commit ucitrack
-EOF
endef
-define Package/luci-app-mmc_over_gpio
+define Package/luci-app-mmc-over-gpio
$(call Package/luci/webtemplate)
- DEPENDS+=+luci-admin-full +PACKAGE_luci-app-mmc_over_gpio:kmod-mmc-over-gpio
+ DEPENDS+=+luci-admin-full +PACKAGE_luci-app-mmc-over-gpio:kmod-mmc-over-gpio
TITLE:=mmc_over_gpio
endef
-define Package/luci-app-mmc_over_gpio/install
- $(call Package/luci/install/template,$(1),applications/luci-mmc_over_gpio)
+define Package/luci-app-mmc-over-gpio/install
+ $(call Package/luci/install/template,$(1),applications/luci-mmc-over-gpio)
endef
$(call Package/luci/install/template,$(1),applications/luci-ushare)
endef
-define Package/luci-app-hd_idle
+define Package/luci-app-hd-idle
$(call Package/luci/webtemplate)
- DEPENDS+=+luci-admin-full +PACKAGE_luci-app-hd_idle:hd-idle
+ DEPENDS+=+luci-admin-full +PACKAGE_luci-app-hd-idle:hd-idle
TITLE:=hd-idle
endef
-define Package/luci-app-hd_idle/install
- $(call Package/luci/install/template,$(1),applications/luci-hd_idle)
+define Package/luci-app-hd-idle/install
+ $(call Package/luci/install/template,$(1),applications/luci-hd-idle)
endef
define Package/luci-app-tinyproxy
ifneq ($(CONFIG_PACKAGE_luci-app-samba),)
PKG_SELECTED_MODULES+=applications/luci-samba
endif
-ifneq ($(CONFIG_PACKAGE_luci-app-mmc_over_gpio),)
- PKG_SELECTED_MODULES+=applications/luci-mmc_over_gpio
+ifneq ($(CONFIG_PACKAGE_luci-app-mmc-over-gpio),)
+ PKG_SELECTED_MODULES+=applications/luci-mmc-over-gpio
endif
ifneq ($(CONFIG_PACKAGE_luci-app-p910nd),)
PKG_SELECTED_MODULES+=applications/luci-p910nd
ifneq ($(CONFIG_PACKAGE_luci-app-ushare),)
PKG_SELECTED_MODULES+=applications/luci-ushare
endif
-ifneq ($(CONFIG_PACKAGE_luci-app-hd_idle),)
- PKG_SELECTED_MODULES+=applications/luci-hd_idle
+ifneq ($(CONFIG_PACKAGE_luci-app-hd-idle),)
+ PKG_SELECTED_MODULES+=applications/luci-hd-idle
endif
ifneq ($(CONFIG_PACKAGE_luci-app-tinyproxy),)
PKG_SELECTED_MODULES+=applications/luci-tinyproxy
$(eval $(call BuildPackage,luci-app-ntpc))
$(eval $(call BuildPackage,luci-app-ddns))
$(eval $(call BuildPackage,luci-app-samba))
-$(eval $(call BuildPackage,luci-app-mmc_over_gpio))
+$(eval $(call BuildPackage,luci-app-mmc-over-gpio))
$(eval $(call BuildPackage,luci-app-p910nd))
$(eval $(call BuildPackage,luci-app-ushare))
-$(eval $(call BuildPackage,luci-app-hd_idle))
+$(eval $(call BuildPackage,luci-app-hd-idle))
$(eval $(call BuildPackage,luci-app-tinyproxy))
$(eval $(call BuildPackage,luci-app-initmgr))
$(eval $(call BuildPackage,luci-app-livestats))